Browse Source

Sync with portage [Tue Nov 19 09:19:53 MSK 2019].

tags/1519
root 1 year ago
parent
commit
7d4c56aa2b
100 changed files with 1881 additions and 3401 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. +0
    -3
      acct-group/gamestat/metadata.xml
  4. BIN
      app-accessibility/Manifest.gz
  5. +1
    -1
      app-accessibility/at-spi2-atk/at-spi2-atk-2.34.0.ebuild
  6. +2
    -1
      app-accessibility/at-spi2-core/at-spi2-core-2.34.0.ebuild
  7. +39
    -35
      app-accessibility/simon/simon-9999.ebuild
  8. BIN
      app-admin/Manifest.gz
  9. +3
    -2
      app-admin/ansible/Manifest
  10. +0
    -66
      app-admin/ansible/ansible-2.7.13.ebuild
  11. +1
    -1
      app-admin/ansible/ansible-2.7.14.ebuild
  12. +0
    -0
      app-admin/ansible/ansible-2.7.15.ebuild
  13. +0
    -72
      app-admin/ansible/ansible-2.8.5.ebuild
  14. +1
    -1
      app-admin/ansible/ansible-2.8.6.ebuild
  15. +72
    -0
      app-admin/ansible/ansible-2.8.7.ebuild
  16. +68
    -0
      app-admin/ansible/ansible-2.9.1.ebuild
  17. +0
    -1
      app-admin/conky/Manifest
  18. +0
    -184
      app-admin/conky/conky-1.11.4.ebuild
  19. +1
    -0
      app-admin/consul/Manifest
  20. +74
    -0
      app-admin/consul/consul-1.6.1.ebuild
  21. +4
    -1
      app-admin/fluentd/fluentd-1.4.2.ebuild
  22. +0
    -1
      app-admin/gopass/Manifest
  23. +0
    -28
      app-admin/gopass/files/gopass-1.8.4-xc-tests.patch
  24. +0
    -45
      app-admin/gopass/gopass-1.8.5.ebuild
  25. +43
    -0
      app-admin/gopass/gopass-1.8.6-r1.ebuild
  26. +0
    -43
      app-admin/gopass/gopass-1.8.6.ebuild
  27. +1
    -4
      app-admin/gopass/metadata.xml
  28. +0
    -1
      app-admin/kpcli/Manifest
  29. +0
    -47
      app-admin/kpcli/kpcli-3.2.ebuild
  30. +1
    -4
      app-admin/lnav/metadata.xml
  31. +1
    -0
      app-admin/mcelog/Manifest
  32. +58
    -0
      app-admin/mcelog/mcelog-166.ebuild
  33. +1
    -1
      app-admin/mcollective/mcollective-2.12.5.ebuild
  34. +0
    -6
      app-admin/rsyslog/Manifest
  35. +0
    -463
      app-admin/rsyslog/rsyslog-8.1904.0-r1.ebuild
  36. +0
    -462
      app-admin/rsyslog/rsyslog-8.1907.0-r1.ebuild
  37. +0
    -462
      app-admin/rsyslog/rsyslog-8.1908.0.ebuild
  38. +462
    -0
      app-admin/rsyslog/rsyslog-8.1910.0-r1.ebuild
  39. +0
    -462
      app-admin/rsyslog/rsyslog-8.1910.0.ebuild
  40. +462
    -0
      app-admin/rsyslog/rsyslog-8.1911.0-r1.ebuild
  41. +0
    -462
      app-admin/rsyslog/rsyslog-8.1911.0.ebuild
  42. +1
    -1
      app-admin/sudo/sudo-1.8.28_p1-r2.ebuild
  43. +1
    -0
      app-admin/sysklogd/Manifest
  44. +101
    -0
      app-admin/sysklogd/files/sysklogd-2.0-optional_logger.patch
  45. +94
    -0
      app-admin/sysklogd/files/sysklogd.rc8
  46. +1
    -0
      app-admin/sysklogd/metadata.xml
  47. +58
    -0
      app-admin/sysklogd/sysklogd-2.0.ebuild
  48. +2
    -0
      app-admin/vault/Manifest
  49. +93
    -0
      app-admin/vault/vault-1.2.4.ebuild
  50. BIN
      app-arch/Manifest.gz
  51. +0
    -17
      app-arch/atool/atool-0.39.0.ebuild
  52. +1
    -4
      app-arch/atool/metadata.xml
  53. +1
    -1
      app-arch/cpio/cpio-2.13.ebuild
  54. +1
    -1
      app-arch/libarchive/libarchive-3.4.0.ebuild
  55. +1
    -4
      app-arch/libpar2/metadata.xml
  56. +1
    -1
      app-arch/ncompress/ncompress-4.2.4.5.ebuild
  57. +0
    -4
      app-arch/par2cmdline/metadata.xml
  58. +2
    -2
      app-arch/par2cmdline/par2cmdline-0.8.0.ebuild
  59. +2
    -2
      app-arch/pigz/metadata.xml
  60. +1
    -2
      app-arch/unrar/Manifest
  61. +0
    -70
      app-arch/unrar/unrar-5.8.2.ebuild
  62. +0
    -0
      app-arch/unrar/unrar-5.8.4.ebuild
  63. BIN
      app-backup/Manifest.gz
  64. +0
    -1
      app-backup/bup/Manifest
  65. +0
    -57
      app-backup/bup/bup-0.28.1.ebuild
  66. +1
    -4
      app-backup/bup/metadata.xml
  67. +0
    -4
      app-backup/duplicity/metadata.xml
  68. BIN
      app-cdr/Manifest.gz
  69. +1
    -1
      app-cdr/cdemu-daemon/cdemu-daemon-3.2.3.ebuild
  70. +1
    -1
      app-cdr/cdemu/cdemu-3.2.3.ebuild
  71. +1
    -1
      app-cdr/gcdemu/gcdemu-3.2.3.ebuild
  72. +15
    -9
      app-cdr/isoimagewriter/isoimagewriter-0.8.ebuild
  73. BIN
      app-crypt/Manifest.gz
  74. +0
    -16
      app-crypt/ekeyd/files/ekey-ulusbd.conf.2
  75. +0
    -40
      app-crypt/ekeyd/files/ekey-ulusbd.init.2
  76. +0
    -133
      app-crypt/ekeyd/files/ekeyd-1.1.4-gentoo.patch
  77. +1
    -1
      app-crypt/jitterentropy/jitterentropy-2.1.2.ebuild
  78. +0
    -1
      app-crypt/kstart/Manifest
  79. +0
    -33
      app-crypt/kstart/kstart-4.1.ebuild
  80. +1
    -1
      app-crypt/libb2/libb2-0.98.1-r2.ebuild
  81. +0
    -30
      app-crypt/md4sum/md4sum-0.02.03-r1.ebuild
  82. +1
    -0
      app-crypt/seahorse-sharing/Manifest
  83. +59
    -0
      app-crypt/seahorse-sharing/seahorse-sharing-3.8.0_p20181216.ebuild
  84. BIN
      app-dicts/Manifest.gz
  85. +8
    -1
      app-dicts/myspell-nl/metadata.xml
  86. +63
    -0
      app-dicts/myspell-nl/myspell-nl-2.10g-r2.ebuild
  87. BIN
      app-doc/Manifest.gz
  88. +1
    -4
      app-doc/zsh-lovers/metadata.xml
  89. BIN
      app-editors/Manifest.gz
  90. +1
    -1
      app-editors/bvi/bvi-1.4.1.ebuild
  91. +2
    -12
      app-editors/emacs-vcs/emacs-vcs-26.3.9999.ebuild
  92. +2
    -13
      app-editors/emacs-vcs/emacs-vcs-27.0.50_pre20180831.ebuild
  93. +7
    -16
      app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
  94. +1
    -1
      app-editors/gummi/Manifest
  95. +0
    -46
      app-editors/gummi/gummi-0.7.999.ebuild
  96. +51
    -0
      app-editors/gummi/gummi-0.8.0_rc2.ebuild
  97. +1
    -4
      app-editors/hteditor/metadata.xml
  98. +7
    -1
      app-editors/texworks/texworks-0.6.3.ebuild
  99. BIN
      app-emacs/Manifest.gz
  100. +0
    -1
      app-emacs/bm/Manifest

BIN
Manifest.files.gz View File


BIN
acct-group/Manifest.gz View File


+ 0
- 3
acct-group/gamestat/metadata.xml View File

@@ -1,9 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>ulm@gentoo.org</email>
</maintainer>
<maintainer type="project">
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>


BIN
app-accessibility/Manifest.gz View File


+ 1
- 1
app-accessibility/at-spi2-atk/at-spi2-atk-2.34.0.ebuild View File

@@ -8,7 +8,7 @@ inherit gnome.org meson multilib-minimal virtualx xdg
DESCRIPTION="Gtk module for bridging AT-SPI to Atk"
HOMEPAGE="https://wiki.gnome.org/Accessibility"

LICENSE="LGPL-2+"
LICENSE="LGPL-2.1+"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="test"


+ 2
- 1
app-accessibility/at-spi2-core/at-spi2-core-2.34.0.ebuild View File

@@ -8,7 +8,7 @@ inherit gnome.org meson multilib-minimal systemd virtualx xdg
DESCRIPTION="D-Bus accessibility specifications and registration daemon"
HOMEPAGE="https://wiki.gnome.org/Accessibility"

LICENSE="LGPL-2+"
LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
@@ -25,6 +25,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
BDEPEND="
>=dev-util/meson-0.50.0
dev-util/glib-utils
gtk-doc? (
>=dev-util/gtk-doc-1.25


+ 39
- 35
app-accessibility/simon/simon-9999.ebuild View File

@@ -4,51 +4,55 @@
EAPI=7

EGIT_BRANCH="kf5"
KDE_HANDBOOK="forceoptional"
KDE_TEST="forceoptional"
inherit kde5
ECM_HANDBOOK="forceoptional"
ECM_TEST="forceoptional"
inherit ecm kde.org

DESCRIPTION="Open-source speech recognition program for replacing mouse and keyboard"
HOMEPAGE="https://simon-listens.org/"
[[ ${PV} != *9999* ]] && SRC_URI="mirror://kde/unstable/simon/${PV}/${P}.tar.xz"

if [[ ${PV} != *9999* ]]; then
SRC_URI="mirror://kde/unstable/simon/${PV}/${P}.tar.xz"
KEYWORDS=""
fi

LICENSE="GPL-2"
KEYWORDS=""
SLOT="5"
IUSE="libsamplerate opencv pim sphinx"

DEPEND="
$(add_frameworks_dep karchive)
$(add_frameworks_dep kcmutils)
$(add_frameworks_dep kcompletion)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kconfigwidgets)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kcrash)
$(add_frameworks_dep kdbusaddons)
$(add_frameworks_dep kdelibs4support)
$(add_frameworks_dep kguiaddons)
$(add_frameworks_dep khtml)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kiconthemes)
$(add_frameworks_dep kio)
$(add_frameworks_dep kparts)
$(add_frameworks_dep ktexteditor)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kxmlgui)
$(add_kdeapps_dep okular)
$(add_qt_dep qtconcurrent)
$(add_qt_dep qtdbus)
$(add_qt_dep qtgui)
$(add_qt_dep qtnetwork)
$(add_qt_dep qtsql)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
$(add_qt_dep qtx11extras)
dev-qt/qtconcurrent:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtsql:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
dev-qt/qtx11extras:5
kde-apps/okular:5
kde-frameworks/karchive:5
kde-frameworks/kcmutils:5
kde-frameworks/kcompletion:5
kde-frameworks/kconfig:5
kde-frameworks/kconfigwidgets:5
kde-frameworks/kcoreaddons:5
kde-frameworks/kcrash:5
kde-frameworks/kdbusaddons:5
kde-frameworks/kdelibs4support:5
kde-frameworks/kguiaddons:5
kde-frameworks/khtml:5
kde-frameworks/ki18n:5
kde-frameworks/kiconthemes:5
kde-frameworks/kio:5
kde-frameworks/kparts:5
kde-frameworks/ktexteditor:5
kde-frameworks/kwidgetsaddons:5
kde-frameworks/kxmlgui:5
media-libs/alsa-lib
media-libs/libqaccessibilityclient:5
x11-libs/libX11
x11-libs/libXtst
x11-libs/qwt:6=[qt5]
x11-libs/qwt:6=
"
RDEPEND="${DEPEND}"

@@ -65,11 +69,11 @@ src_configure() {
-DQWT_LIBRARY=/usr/$(get_libdir)/libqwt6-qt5.so
)

kde5_src_configure
ecm_src_configure
}

pkg_postinst() {
kde5_pkg_postinst
ecm_pkg_postinst

elog "Optional dependency:"
use sphinx && elog " app-accessibility/julius (alternative backend)"


BIN
app-admin/Manifest.gz View File


+ 3
- 2
app-admin/ansible/Manifest View File

@@ -1,5 +1,6 @@
DIST ansible-2.7.13.tar.gz 11861862 BLAKE2B 3123d84b9f45bb5e50a0d5db5d0b2ae10163e2818d30f29ad5a80c23979a347eb5e17806bd295df547b88a09191918443162cb25d7f339ae76df52e3960954b0 SHA512 8dc19e5c93a90d43ced6628699d2da42d522a020bb2cdd35ba73f6286998c605852c89250af8696e94aba0080b2fab12761a39c3e2eb86d39c212a198f970652
DIST ansible-2.7.14.tar.gz 10203158 BLAKE2B b0727a4e2bd4d2126305e2a529fcb9c938f062a19d473d6ddc4463a0ed1e1c6d444592660aa8bb3f05f8885592f8ae3b021a7b1e6ab43422c35f88f999ff4de4 SHA512 16705c965b03daeb4e6b6a0bccf0be976de60948b88c06e65449d2662dce1fbcbf796ca2b5f6ebe9884d19d918b6ec0e5b0edcb0ef606b7bae61bfa7699c7b92
DIST ansible-2.8.5.tar.gz 14352036 BLAKE2B a2d60132e3aeafd7dbdcca13daac1c657e19fc1b7822b33dde35e0fff67fa7093b54330652ba6c02bad710fd2d05fba3081cd0b609f16bccf7e2eba52f9fa45b SHA512 6555b9a3d3d8298410e54f7116d92fc1978bef185a5136cfb809c1942b08b96c562af9e0d6d1a25eee5a4024d309b6713ce27836857b428a7c362e26efb53777
DIST ansible-2.7.15.tar.gz 10205890 BLAKE2B 30b0c83ad646cdcd918472be4512ee8cf00e966b9c7ed0431bcf915e858dae6aeb26cdff4eee5d480b751a4c33f30c2b213d8bc67d17bc8774c5ca2bcf897632 SHA512 7140fdb80456f5dd9f34226a9f38ce567ad13e4cd6b4058ae22012867554c9ed19e3cfa0ae7e745bf56d109fbe8dde8e264efce2f537b5bdae48cf606ee38f52
DIST ansible-2.8.6.tar.gz 12689211 BLAKE2B 9c451037f705f2e591633b59700e89c6de672c43b4b12ee36de9dd4b3ac0e6a19f7e2cd0df9a29b7973f4192d85b3c48fc8915bb36dbd36d9206ee3ca5ccbb09 SHA512 8e29644b4651e72bd3fbd4ca91c2a36b76e5dde9bb445d3c6e0061c315eb66e1bc507729b70d82998c1cbb25f3ef0e20d281ab8354a047193e60bf4831938418
DIST ansible-2.8.7.tar.gz 12697144 BLAKE2B f88225b358ff9fad352c04a053100c5aa612f54ba7ad8e3a700d61e030fd0b5850055b83861d3ad76e614d3e786a2ed719f63b7f452ce24d7e27d79d386b8eed SHA512 166009780c8bb5b35beb9604412d4e5e3874e13b04f3ce694d726dc5bfb064f73a17ec3c814c8a67e28d57e7c327276b6cb66a9a0dba7138d702427ec13b4de3
DIST ansible-2.9.0.tar.gz 14126941 BLAKE2B 409f94af0fa8483934b957cf31f3a762e575203f4f809c44cbf5c74cc945deb065f97374b93dd2aa03a8002b17d7da0bfad3ea80c11673b02be3d0179c34b7c9 SHA512 47e0738bbf9918254d7b33ddc0a8f89a101995ccc3cb846be9ff10bdbc7687fb8a5390d8b976b3ce17fa1325ab63a592161b026d5d943a01f8a5803fca67312a
DIST ansible-2.9.1.tar.gz 14144123 BLAKE2B 20b288aed59221c63cbc345d6f1bb33770b864229ddfdcb3e3d7c5ddde0978b05f1139466945a92145772f1d659a43d406c7486df91f7f16135f66b7282761ab SHA512 fdb25017b96475a6c182bba2f32050f0eaa6f22d17f166b98ce0f0cb40fd12dbbc5ede9912624fa4c5d4a8de472b28c2eb2b569700537c7d4b4c568d7e38f21b

+ 0
- 66
app-admin/ansible/ansible-2.7.13.ebuild View File

@@ -1,66 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{5,6,7} )

inherit distutils-r1 eutils

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86 ~x64-macos"
IUSE="doc test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

# not included in release tarball
RESTRICT="test"

python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all

doman docs/man/man1/*.1
dodoc -r examples
}

+ 1
- 1
app-admin/ansible/ansible-2.7.14.ebuild View File

@@ -13,7 +13,7 @@ SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~x64-macos"
KEYWORDS="amd64 ~arm ~arm64 x86 ~x64-macos"
IUSE="doc test"

RDEPEND="


app-admin/ansible/ansible-2.7.13-r1.ebuild → app-admin/ansible/ansible-2.7.15.ebuild View File


+ 0
- 72
app-admin/ansible/ansible-2.8.5.ebuild View File

@@ -1,72 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{5,6,7} )

inherit distutils-r1 eutils

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}

python_prepare_all() {
rm -fv MANIFEST.in || die
distutils-r1_python_prepare_all
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all

dodoc -r examples
}

+ 1
- 1
app-admin/ansible/ansible-2.8.6.ebuild View File

@@ -13,7 +13,7 @@ SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~x64-macos"
KEYWORDS="amd64 ~arm ~arm64 x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"



+ 72
- 0
app-admin/ansible/ansible-2.8.7.ebuild View File

@@ -0,0 +1,72 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{5,6,7} )

inherit distutils-r1 eutils

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}

python_prepare_all() {
rm -fv MANIFEST.in || die
distutils-r1_python_prepare_all
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all

dodoc -r examples
}

+ 68
- 0
app-admin/ansible/ansible-2.9.1.ebuild View File

@@ -0,0 +1,68 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{5,6,7} )

inherit distutils-r1 eutils

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all

dodoc -r examples
}

+ 0
- 1
app-admin/conky/Manifest View File

@@ -1,3 +1,2 @@
DIST conky-1.10.8.tar.gz 373075 BLAKE2B 749d8bb37557c1eeb8b07955bbd45704fadb41995fad8380dd89afdf7b0c9dce02d19692691e3ef1857d849c05eae1b2fdf20243460d767199a681aeb9e87746 SHA512 743b1d17db4ae654c7a319fe9157e9ebc5eb4ae0462a1f7269332d379e8bdd1dbfecc3ab6f46c8b5176b7e40918301649ac3ee883a84dc4fc8d766abbac6585a
DIST conky-1.11.4.tar.gz 2400814 BLAKE2B ad12ade96de5ed3575eba3d8a6e06cb8d30ed686e002f36c3a52a1d4351379546bcea2237792929de36d8c0c402eda977a8c0b5b36a0878fe001056d8d2c34b7 SHA512 191ffe4a50a8876a658163c83a45f722f07ca6a0b86ea3ebad369d58f4c2bb798e8afaef6c0643bcca90de546a7f3de4acf9d2e4b4a2b6366bf42de0ccaade3d
DIST conky-1.11.5.tar.gz 2400965 BLAKE2B 06b6817ed3cb4bb638b5fa7f9a5f8544c9d274560dbef2bc8f8c10ed681b83d0ab27988f60bed70cd0c13cd4947a2bd9b70ad66c38dbb6f516f5d57165ef5765 SHA512 71ba02acc879dad3c240ed9a38635cb2d30e3c9ac849012ff3db53f8143c28d6cc9e502816834b0a073f7486bded7cea002b58c3bb8e189e542afb1070bb84be

+ 0
- 184
app-admin/conky/conky-1.11.4.ebuild View File

@@ -1,184 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit cmake-utils linux-info readme.gentoo-r1 xdg

DESCRIPTION="An advanced, highly configurable system monitor for X"
HOMEPAGE="https://github.com/brndnmtthws/conky"
SRC_URI="https://github.com/brndnmtthws/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3 BSD LGPL-2.1 MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
IUSE="apcupsd bundled-toluapp cmus curl doc hddtemp ical iconv imlib iostats
ipv6 irc lua-cairo lua-imlib lua-rsvg math moc mpd mysql nano-syntax
ncurses nvidia +portmon pulseaudio rss systemd thinkpad truetype
vim-syntax weather-metar webserver wifi X xmms2"

COMMON_DEPEND="
X? (
x11-libs/libX11
x11-libs/libXdamage
x11-libs/libXinerama
x11-libs/libXfixes
x11-libs/libXext
)
cmus? ( media-sound/cmus )
curl? ( net-misc/curl )
ical? ( dev-libs/libical:= )
iconv? ( virtual/libiconv )
imlib? ( media-libs/imlib2[X] )
irc? ( net-libs/libircclient )
lua-cairo? ( x11-libs/cairo[X] )
lua-imlib? ( media-libs/imlib2[X] )
lua-rsvg? ( gnome-base/librsvg )
mysql? ( dev-db/mysql-connector-c )
ncurses? ( sys-libs/ncurses:= )
nvidia? ( x11-drivers/nvidia-drivers[tools,static-libs] )
pulseaudio? ( media-sound/pulseaudio )
rss? ( dev-libs/libxml2 net-misc/curl dev-libs/glib:2 )
systemd? ( sys-apps/systemd )
truetype? ( x11-libs/libXft >=media-libs/freetype-2 )
wifi? ( net-wireless/wireless-tools )
weather-metar? ( net-misc/curl )
webserver? ( net-libs/libmicrohttpd )
xmms2? ( media-sound/xmms2 )
|| ( dev-lang/lua:5.3 dev-lang/lua:5.2 )
"
RDEPEND="
${COMMON_DEPEND}
apcupsd? ( sys-power/apcupsd )
hddtemp? ( app-admin/hddtemp )
moc? ( media-sound/moc )
nano-syntax? ( app-editors/nano )
vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
"
DEPEND="
${COMMON_DEPEND}
doc? ( app-text/docbook2X dev-libs/libxslt )
"

REQUIRED_USE="
imlib? ( X )
nvidia? ( X )
truetype? ( X )
lua-cairo? ( X bundled-toluapp )
lua-imlib? ( X bundled-toluapp )
lua-rsvg? ( X bundled-toluapp )
"

CONFIG_CHECK=~IPV6

DOCS=( README.md AUTHORS )

DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="You can find sample configurations at ${ROOT}/usr/share/doc/${PF}.
To customize, copy to \${XDG_CONFIG_HOME}/conky/conky.conf
and edit it to your liking.

There are pretty html docs available at the conky homepage
or in ${ROOT}/usr/share/doc/${PF}/html when built with USE=doc.

Also see https://wiki.gentoo.org/wiki/Conky/HOWTO"

pkg_setup() {
use ipv6 && linux-info_pkg_setup
}

src_prepare() {
cmake-utils_src_prepare

xdg_environment_reset

sed -i -e "s|find_program(APP_MAN man)|set(APP_MAN $(which man) CACHE FILEPATH MAN_BINARY)|" \
cmake/ConkyPlatformChecks.cmake || die
}

src_configure() {
local mycmakeargs

if use X; then
mycmakeargs=(
-DBUILD_ARGB=ON
-DBUILD_X11=ON
-DBUILD_XDAMAGE=ON
-DBUILD_XDBE=ON
-DBUILD_XINERAMA=ON
-DBUILD_XSHAPE=ON
-DOWN_WINDOW=ON
)
else
mycmakeargs=(
-DBUILD_X11=OFF
)
fi

mycmakeargs+=(
-DBUILD_APCUPSD=$(usex apcupsd)
-DBUILD_AUDACIOUS=OFF
-DBUILD_BUILTIN_CONFIG=ON
-DBUILD_CMUS=$(usex cmus)
-DBUILD_CURL=$(usex curl)
-DBUILD_DOCS=$(usex doc)
-DBUILD_HDDTEMP=$(usex hddtemp)
-DBUILD_HTTP=$(usex webserver)
-DBUILD_I18N=ON
-DBUILD_IBM=$(usex thinkpad)
-DBUILD_ICAL=$(usex ical)
-DBUILD_ICONV=$(usex iconv)
-DBUILD_IMLIB2=$(usex imlib)
-DBUILD_IOSTATS=$(usex iostats)
-DBUILD_IPV6=$(usex ipv6)
-DBUILD_IRC=$(usex irc)
-DBUILD_JOURNAL=$(usex systemd)
-DBUILD_LUA_CAIRO=$(usex lua-cairo)
-DBUILD_LUA_IMLIB2=$(usex lua-imlib)
-DBUILD_LUA_RSVG=$(usex lua-rsvg)
-DBUILD_MATH=$(usex math)
-DBUILD_MOC=$(usex moc)
-DBUILD_MPD=$(usex mpd)
-DBUILD_MYSQL=$(usex mysql)
-DBUILD_NCURSES=$(usex ncurses)
-DBUILD_NVIDIA=$(usex nvidia)
-DBUILD_OLD_CONFIG=ON
-DBUILD_PORT_MONITORS=$(usex portmon)
-DBUILD_PULSEAUDIO=$(usex pulseaudio)
-DBUILD_RSS=$(usex rss)
-DBUILD_WEATHER_METAR=$(usex weather-metar)
-DBUILD_WLAN=$(usex wifi)
-DBUILD_XFT=$(usex truetype)
-DBUILD_XMMS2=$(usex xmms2)
-DDOC_PATH=/usr/share/doc/${PF}
-DMAINTAINER_MODE=OFF
-DRELEASE=ON
)

cmake-utils_src_configure
}

src_install() {
cmake-utils_src_install

if use vim-syntax; then
insinto /usr/share/vim/vimfiles/ftdetect
doins "${S}"/extras/vim/ftdetect/conkyrc.vim

insinto /usr/share/vim/vimfiles/syntax
doins "${S}"/extras/vim/syntax/conkyrc.vim
fi

if use nano-syntax; then
insinto /usr/share/nano/
doins "${S}"/extras/nano/conky.nanorc
fi

readme.gentoo_create_doc
}

pkg_postinst() {
readme.gentoo_print_elog

xdg_pkg_postinst
}

+ 1
- 0
app-admin/consul/Manifest View File

@@ -1,3 +1,4 @@
DIST consul-1.4.4.tar.gz 22736827 BLAKE2B a1b973a303f77d84993e4879aa92072d4f2d36353683cf9a2c6cdeaded8587e8464f066168f190f7347f6038df28b3cba1d8b8a3ca0b700ee085019af5014966 SHA512 d3e5dd536726976b705fe4c78c67eaf345b8f47225919c0ca1609d75e74343d9a16d893ef4cd5140998f23b3149cfa60f5b432ed9a7251bb3b232be9b65e7241
DIST consul-1.5.3.tar.gz 21743194 BLAKE2B c797b04457c5f0b12f06732a94038b25367b53a9e6088d725eea61786a0e18bd905ad680bc12c4bfa30b44292d2676689dd6f18e9e2143bf6e1b02c2c55f678f SHA512 3f275ec160b9e583b81ba8d463fdb05e9fc9058db2453d9393a56b67337ea04df98a89225323192230938e1abfb48fa60fe0a32b4d8980573b749217b69933e9
DIST consul-1.6.0.tar.gz 22465984 BLAKE2B 3a030619786e8dabdf8b778012a80ff4b0e76ede6c313b688bf04bfd1a8488bff1bbd4a36c1dd11496bd1942f7bba2a9bb22ae3b364fee4335adfb741756dd67 SHA512 a122892693e3bee0fc0e0b5c0945e4a8dddb890228c091112e0db11a8afd33430611c20ff9bc13d2b3a2ac0d3b560be2d9c4e03a9cc425983fbd8f7edb699658
DIST consul-1.6.1.tar.gz 22621651 BLAKE2B b696823d3f7f3ef135ba578f3c4ae76f78a1f172e083a3bb5cd07212b3907aefbac3fc0a1d68c5d494e7781cb84c686e2cfb1e5f7cd2d34f8bf671be84b3ca00 SHA512 c96855f3a344699580e34d6f45efe863ba4e6b23ef0889a22ee89bad8ffa807b3cec1a9d14604a340b16b0a8df8227c9eeacd507f94e4a19b25e0385ca5155ac

+ 74
- 0
app-admin/consul/consul-1.6.1.ebuild View File

@@ -0,0 +1,74 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit golang-vcs-snapshot systemd user
GIT_COMMIT="9be6dfc"
KEYWORDS="~amd64"
EGO_PN="github.com/hashicorp/consul"
DESCRIPTION="A tool for service discovery, monitoring and configuration"
HOMEPAGE="https://www.consul.io"
SRC_URI="https://github.com/hashicorp/consul/archive/v${PV}.tar.gz -> ${P}.tar.gz"

SLOT="0"
LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT"
IUSE=""

RESTRICT="test"

DEPEND="dev-go/gox
>=dev-lang/go-1.11:=
>=dev-go/go-tools-0_pre20160121"
RDEPEND=""

pkg_setup() {
enewgroup consul
enewuser consul -1 -1 /var/lib/${PN} consul
}

src_prepare() {
default

# avoid network-sandbox violations since go-1.13
rm src/${EGO_PN}/go.mod || die
grep -rlZ '_ "github.com/envoyproxy/protoc-gen-validate/validate"' . | \
xargs -0 sed -i '/_ "github.com\/envoyproxy\/protoc-gen-validate\/validate"/d' || die

sed -e 's:go get -u -v $(GOTOOLS)::' \
-e 's:vendorfmt dev-build:dev-build:' \
-i "src/${EGO_PN}/GNUmakefile" || die
}

src_compile() {
# The dev target sets causes build.sh to set appropriate XC_OS
# and XC_ARCH, and skips generation of an unused zip file,
# avoiding a dependency on app-arch/zip.
GOPATH="${S}" \
GOBIN="${S}/bin" \
GIT_DESCRIBE="v${PV}" \
GIT_DIRTY="" \
GIT_COMMIT="${GIT_COMMIT}" \
emake -C "src/${EGO_PN}" dev-build
}

src_install() {
local x

dobin bin/consul

keepdir /etc/consul.d
insinto /etc/consul.d
doins "${FILESDIR}/"*.json.example

for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners consul:consul "${x}"
done

newinitd "${FILESDIR}/consul.initd" "${PN}"
newconfd "${FILESDIR}/consul.confd" "${PN}"
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
systemd_dounit "${FILESDIR}/consul.service"
}

+ 4
- 1
app-admin/fluentd/fluentd-1.4.2.ebuild View File

@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2

EAPI=6
USE_RUBY="ruby23 ruby24 ruby25"
USE_RUBY="ruby23 ruby24 ruby25 ruby26"

RUBY_FAKEGEM_RECIPE_DOC="rdoc"

@@ -35,6 +35,9 @@ all_ruby_prepare() {
-e '/tzinfo-data/d' \
-e '/dig_rb/d' \
"${PN}".gemspec || die "'sed failed"

# Avoid test dependency on unpackaged oj
rm -f test/test_event_time.rb || die
}

all_ruby_install() {


+ 0
- 1
app-admin/gopass/Manifest View File

@@ -1,2 +1 @@
DIST gopass-1.8.5.tar.gz 6561060 BLAKE2B 99d5ba9d5aed396eb4747461b64285d37544e7deaeb7ee7ebd6e3298a8746cdacbae4aa573d87d324703751d5a78efad2735954d8e2a2a8b53549985a4a9952a SHA512 1f451b10aa87141de635650489bf7227c252e10e5139dad274c95d5625db74fec0b8892a468800d3d3c5dd8b3d64f1c93bd6c75a0ba54fe5f6e630c77b2c6c71
DIST gopass-1.8.6.tar.gz 7072723 BLAKE2B 5ae883c54f8180f8b6da870bd99710f1c740afe9de193c127a3047fa1211641b94ab98e23148d83c6d5b2cd2e3275f644dc875d106c9267e7e0c6342bf0b9a46 SHA512 7acdb095cf8913954044c3206eab020f197542334798c6b94724709c3953b12f7e5b73ce8c1aa4bfd5df3acf1f424b64bfa94f9a8f68fa7116ed14c8a0f2e6f0

+ 0
- 28
app-admin/gopass/files/gopass-1.8.4-xc-tests.patch View File

@@ -1,28 +0,0 @@
Skip xc cli tests, 1.8.3 failed when run with no arguments for these commands
but 1.8.4 doesn't.

--- gopass-1.8.4/src/github.com/gopasspw/gopass/commands_test.go
+++ gopass-1.8.4/src/github.com/gopasspw/gopass/commands_test.go
@@ -55,14 +55,14 @@
".templates.remove": {},
".templates.show": {},
".unclip": {},
- ".xc.decrypt": {},
- ".xc.encrypt": {},
- ".xc.export": {},
- ".xc.export-private-key": {},
- ".xc.generate": {},
- ".xc.import": {},
- ".xc.import-private-key": {},
- ".xc.remove": {},
+ // ".xc.decrypt": {},
+ // ".xc.encrypt": {},
+ // ".xc.export": {},
+ // ".xc.export-private-key": {},
+ // ".xc.generate": {},
+ // ".xc.import": {},
+ // ".xc.import-private-key": {},
+ // ".xc.remove": {},
}
func TestGetCommands(t *testing.T) {

+ 0
- 45
app-admin/gopass/gopass-1.8.5.ebuild View File

@@ -1,45 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
EGO_PN="github.com/gopasspw/gopass"

inherit golang-vcs-snapshot golang-build bash-completion-r1

DESCRIPTION="a simple but powerful password manager for the terminal"
HOMEPAGE="https://www.gopass.pw/"
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=">=dev-lang/go-1.11"
RDEPEND="
dev-vcs/git
>=app-crypt/gnupg-2
"

PATCHES=( "${FILESDIR}"/${PN}-1.8.4-xc-tests.patch )

src_install() {
dobin gopass

local DOCS=( src/${EGO_PN}/{CHANGELOG,CONTRIBUTING}.md src/${EGO_PN}/docs/*.md )
einstalldocs

# install fish completion
./gopass completion fish > "${T}"/${PN}.fish || die
insinto /usr/share/fish/vendor_completions.d
doins "${T}"/${PN}.fish

# install bash completion
./gopass completion bash > "${T}"/${PN} || die
dobashcomp "${T}"/${PN}

# install zsh completion
./gopass completion zsh > "${T}"/${PN}.zsh || die
insinto /usr/share/zsh/site-functions
newins "${T}"/${PN}.zsh _${PN}
}

+ 43
- 0
app-admin/gopass/gopass-1.8.6-r1.ebuild View File

@@ -0,0 +1,43 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
EGO_PN="github.com/gopasspw/gopass"

inherit golang-vcs-snapshot golang-build bash-completion-r1

DESCRIPTION="a simple but powerful password manager for the terminal"
HOMEPAGE="https://www.gopass.pw/"
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT Apache-2.0 BSD MPL-2.0 BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=">=dev-lang/go-1.11"
RDEPEND="
dev-vcs/git
>=app-crypt/gnupg-2
"

src_install() {
dobin gopass

local DOCS=( src/${EGO_PN}/{CHANGELOG,CONTRIBUTING}.md src/${EGO_PN}/docs/*.md )
einstalldocs

# install fish completion
./gopass completion fish > "${T}"/${PN}.fish || die
insinto /usr/share/fish/vendor_completions.d
doins "${T}"/${PN}.fish

# install bash completion
./gopass completion bash > "${T}"/${PN} || die
dobashcomp "${T}"/${PN}

# install zsh completion
./gopass completion zsh > "${T}"/${PN}.zsh || die
insinto /usr/share/zsh/site-functions
newins "${T}"/${PN}.zsh _${PN}
}

+ 0
- 43
app-admin/gopass/gopass-1.8.6.ebuild View File

@@ -1,43 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
EGO_PN="github.com/gopasspw/gopass"

inherit golang-vcs-snapshot golang-build bash-completion-r1

DESCRIPTION="a simple but powerful password manager for the terminal"
HOMEPAGE="https://www.gopass.pw/"
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=">=dev-lang/go-1.11"
RDEPEND="
dev-vcs/git
>=app-crypt/gnupg-2
"

src_install() {
dobin gopass

local DOCS=( src/${EGO_PN}/{CHANGELOG,CONTRIBUTING}.md src/${EGO_PN}/docs/*.md )
einstalldocs

# install fish completion
./gopass completion fish > "${T}"/${PN}.fish || die
insinto /usr/share/fish/vendor_completions.d
doins "${T}"/${PN}.fish

# install bash completion
./gopass completion bash > "${T}"/${PN} || die
dobashcomp "${T}"/${PN}

# install zsh completion
./gopass completion zsh > "${T}"/${PN}.zsh || die
insinto /usr/share/zsh/site-functions
newins "${T}"/${PN}.zsh _${PN}
}

+ 1
- 4
app-admin/gopass/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>radhermit@gentoo.org</email>
<name>Tim Harder</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="github">gopasspw/gopass</remote-id>
</upstream>


+ 0
- 1
app-admin/kpcli/Manifest View File

@@ -1,2 +1 @@
DIST kpcli-3.2.pl 197369 BLAKE2B 17a449c1727e8c9e79a5c45327debec1391e58012b2f94979a9431dfc45a0909b23f2e61717aaa2ea18153f420d8d8eba9fd4a5afa860b8478d58e044049322a SHA512 72374da627075a2a0a18932f0f4d48c77e23a8a3ac13599d7cebb6b3b685c2d1678bf8035651adeb471538b4da3825443a9e2a9a393e85be175637b0bfa611b9
DIST kpcli-3.3.pl 199249 BLAKE2B 6db8dff530c709600ac90ca77c8171bedb98dc0ff3822963cdd177000a0b23c46387613639205b85dfdcb710b5a9804fc5b2e205c1937952e8439f5bebae4900 SHA512 5a837891a29dc65f0900015124fe3fdd1b7b9878ed2094d7c299c24590feee8e704212bcabf45c63064f97deca1dd2da96aa80c5be4305692f181db45b7e241a

+ 0
- 47
app-admin/kpcli/kpcli-3.2.ebuild View File

@@ -1,47 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

DESCRIPTION="A command line interface to KeePass database files"
HOMEPAGE="http://kpcli.sourceforge.net"
SRC_URI="http://downloads.sourceforge.net/project/kpcli/${P}.pl"

LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="X"

DEPEND=""
RDEPEND="
dev-lang/perl
dev-perl/Clone
dev-perl/Crypt-Rijndael
dev-perl/TermReadKey
dev-perl/Sort-Naturally
dev-perl/Term-ShellUI
>=dev-perl/File-KeePass-0.30.0
virtual/perl-File-Spec
virtual/perl-Getopt-Long
virtual/perl-Digest-MD5
virtual/perl-Digest-SHA
virtual/perl-Data-Dumper
virtual/perl-Term-ANSIColor
virtual/perl-Time-Piece
virtual/perl-Carp
X? (
dev-perl/Capture-Tiny
dev-perl/Clipboard
)
"

src_unpack() {
mkdir "${S}" || die
cp "${DISTDIR}/${P}.pl" "${S}/${PN}" || die
}

src_compile() { :; }

src_install() {
dobin kpcli
}

+ 1
- 4
app-admin/lnav/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>radhermit@gentoo.org</email>
<name>Tim Harder</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="github">tstack/lnav</remote-id>
</upstream>


+ 1
- 0
app-admin/mcelog/Manifest View File

@@ -1,3 +1,4 @@
DIST mcelog-162.tar.gz 308347 BLAKE2B bd438e85ea793c6c5ce4d561f0400e91b101a010cce7f937751a11a0a974fec49db7e9d768fc50db68a91c973c90c8ab1b4ffa80964cb6fde860b9f2ac217435 SHA512 d61a0b7ad3974098963edde1e9e9acdf4dbd1a025577b7044bafc17302abd19080c8145a2700c691400af0768ff4b6833d47697e1478c5bef8831f7f8b61ae48
DIST mcelog-164.tar.gz 308393 BLAKE2B da1f425faa88eb8377eb11c3e13aa6fd4c0b4f4d3b02afc2fba8e4137979bb5619b075b0d0ecd80ec6059c9eb912376291e56e667bf7b838bd2f641c4a6c175f SHA512 10c8c580b10caa6d40c2a4887cb9e9ec07eb81a353d24a4d1a89ad8ec5cc29f7976c26335f077393794b060e62b5cbbe348c64567a3cf3fabc3ec5c3fe59da5a
DIST mcelog-165.tar.gz 308405 BLAKE2B 8e6cf59bfa3a5c667c1b709f9c0c5c82f8710ff1aa7c5758c1573a2c832030bb31735f8dd5a53fab26745739cdfac3001cb7a752df579cf452874d19e9e7da65 SHA512 466a07a90679380783524854934d6d66cbc53474616de9141cd36dd2a3b757cacccf1db50c8d4cd54763cea63ac9c09daf6e27ccf3bcf17d62da7fc3396281eb
DIST mcelog-166.tar.gz 312451 BLAKE2B 430630f6f693ae22961bae2381117dbb6d3bca228d6bdcbbe007d2a2681cda53f8c29cf18b98a47a88d36fd059e3e08aff5b9ad22243d7ce5083f5643768b0e6 SHA512 35514188cf4932b4ecffb8d8149534367a424adb76f03833d53d3c2a0dae2ca89de90d071e48ed67a17a8a70a67efc14aa186280e9145b7572887dccdf9a01af

+ 58
- 0
app-admin/mcelog/mcelog-166.ebuild View File

@@ -0,0 +1,58 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit linux-info systemd toolchain-funcs

DESCRIPTION="A tool to log and decode Machine Check Exceptions"
HOMEPAGE="http://mcelog.org/"
SRC_URI="https://github.com/andikleen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="selinux"

RDEPEND="selinux? ( sec-policy/selinux-mcelog )"

# TODO: add mce-inject to the tree to support test phase
RESTRICT="test"

pkg_pretend() {
if [[ ${MERGE_TYPE} != buildonly ]]; then
local CONFIG_CHECK="~X86_MCE"
kernel_is -ge 4 12 && CONFIG_CHECK+=" ~X86_MCELOG_LEGACY"
check_extra_config
fi
}

src_prepare() {
eapply "${FILESDIR}"/${PN}-0.8_pre1-timestamp-${PN}.patch \
"${FILESDIR}"/${PN}-129-debugflags.patch
eapply_user
tc-export CC
}

src_install() {
default

insinto /etc/cron.daily
newins ${PN}.cron ${PN}

insinto /etc/logrotate.d/
newins ${PN}.logrotate ${PN}

newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service

dodoc *.pdf
}

pkg_postinst() {
einfo "The default configuration set is now installed in /etc/${PN}"
einfo "you might want to edit those files."
einfo
einfo "A sample cronjob is installed into /etc/cron.daily"
einfo "without executable bit (system service is the preferred method now)"
}

+ 1
- 1
app-admin/mcollective/mcollective-2.12.5.ebuild View File

@@ -3,7 +3,7 @@

EAPI="6"

USE_RUBY="ruby23 ruby24 ruby25"
USE_RUBY="ruby23 ruby24 ruby25 ruby26"

inherit ruby-ng



+ 0
- 6
app-admin/rsyslog/Manifest View File

@@ -1,10 +1,4 @@
DIST rsyslog-8.1904.0.tar.gz 2902708 BLAKE2B 515d5e32c2dc6cdd8dd51fc595ad775503438603f28828e9f1a427b184a5a61de32af2ee90334b7d56a9404106d74da47386a18a370278d5a16422a6bb09f556 SHA512 cccb48f06508d7e7c2dd788903f4d7ddb3020cdf6079aea1d52387c56b920f10b08957a79b5d420ccdb54cae50d1da6e5eb80cde9498bceaeda4f6ce37f694fd
DIST rsyslog-8.1907.0.tar.gz 2926855 BLAKE2B 65c674e53bfa960e3fe5c7f41a304cf8736fe72e2391895dde9fdc17fabeb2f92fccab48965d5e1689a5852136a43a3355f89c9fa9d1d1974335ce80204bb4ac SHA512 2aa3f6106e48fa63c6d4389f83e7a3212817c626d04881682236055792cf5c9d8a941638c9a508c470b6a24c934ef5cb0eda65ea25179d98831afbe2a27c1519
DIST rsyslog-8.1908.0.tar.gz 2952939 BLAKE2B c6784753262a71f30f32fc35ad3e3e75fa2af271bdb0a62c2d4796d3d0413c7f619052a5e33c52c5f3b22aa474d14b7bb06e9c502944f914e708265835fd90ff SHA512 66b6755e1f5a610ed8ec3f8fad1ee227f8ff34618a8f2660a801e6f9aa734980190fbffd8144ac30d63f8297a06e86ada65ba838242d8a006bca8e30f56dce80
DIST rsyslog-8.1910.0.tar.gz 2957635 BLAKE2B ea350d3fb923c2f7d2799942fec6a77ef893fa12bc95a5b1428b8e280d96b562cd864469ebf13ee57e9ea89787765a4bb13d155460defc73a3a85b17ad6a5ab1 SHA512 85f5df91a6357ecb38708b4d569d26804a50ca28c928a636ac7749595f1a7105c3450fbd521835a436ebdfdcac33a33986e09a09026745ea4d1a2897406770d5
DIST rsyslog-8.1911.0.tar.gz 2967162 BLAKE2B 6c15436cf6751267de38662b2c5d524dc7f90add4ed1aa7102811d197c2d86847316b58ed626fe0ab2b731c445fbcfb328464a2b1b7c4c3afedccb103267f772 SHA512 8414901a5072cb2cc28d35802c9e22d0f9c88f2ae15985a087a86b0e4053471b02d43bcc95d0c466719105e0a5ee683927af3842b9487f27ddddc1ca00ed713a
DIST rsyslog-doc-8.1904.0.tar.gz 8042650 BLAKE2B 585fe5c63eee1fb46f94dcd3d529045b3900e08c291e0e71ed9bf32a6200e6c7283820b262bd56e9aeb74cc227ecd518caafec5a8f87c1d8523d5d7fd95030aa SHA512 da0ff00fbe71756b3c27fd8b94e88611452c3ba611e583862556393faaaa596ca8f32f694ad40a3e1df67385d9f9ca80db6a58f5d2e336fe95639dd7cd0de828
DIST rsyslog-doc-8.1907.0.tar.gz 8071764 BLAKE2B 90c18a93bb2f2c9158a4696245c44c36ab4c40597d1eb8df8af257f57aa17e71436bd60792c4f982ebc15395abacd53281046e4ae6df65c306f815e6599fb8bc SHA512 72dcddef6e36a92d2bdcf54072fff7516b6c731f43a53ef8f5d4ebdbe46bc7aeb63bbc3e739a6e5897602ea7705c4bdd8f57aa10796955ed772a6c7cf552c5e5
DIST rsyslog-doc-8.1908.0.tar.gz 8082984 BLAKE2B 7f102a215b0c51b961a4e44e97c8a3cd9966215dba44a194a5ff925b8a2b1ad3389461e2de3dae6dfb770bc36c9a31747298bdb7e975d6fa86ca209c9e314ac3 SHA512 d826013de671c895be7becd2a7c5ce1fb218149c6128d486116be6a01fc69099026f5a277b30fc57e626aeb4038e00b17abcad9a45ea3c9838e7041de9d991a5
DIST rsyslog-doc-8.1910.0.tar.gz 8158007 BLAKE2B 7a05cf7070ba350d0fb939350868ff0dd9d03be46ebd1b1261e54add70ab680afe0b356f563ea9e10148aed17667fc0b729e2fa8f7ff7cff3e4cec9d0da209a8 SHA512 e46f14e40ae690efbe3114a859c1c94c8f9573ca5ebdb533ad4b5ed76c3a930c887cc205e7279fcc546fda3ce624eae507ce08d5d10ee1eb167a957edd742bf2
DIST rsyslog-doc-8.1911.0.tar.gz 8183360 BLAKE2B f5681945fb30ddf9c21a60ebafaf99698f10ef4790e76c9f6f329763215d5a1d47918008ade3e8ff8b7d4fb3ce1220cfc6f307ebc1dbf85697c3d92f7b855023 SHA512 2326550a0db108db407b701ff0b7b8545f94d06c1979bfbea3496a9a652de2a22bf49e9b95d4b2e6256bbf1f9db6a1c9822557c6ebd6a56bc00f096a642b19df

+ 0
- 463
app-admin/rsyslog/rsyslog-8.1904.0-r1.ebuild View File

@@ -1,463 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )

inherit autotools eutils linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="amd64 arm ~arm64 hppa x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"
IUSE="curl dbi debug doc elasticsearch +gcrypt gnutls jemalloc kafka kerberos kubernetes libressl mdblookup"
IUSE+=" mongodb mysql normalize clickhouse omhttp omhttpfs omudpspoof openssl postgres"
IUSE+=" rabbitmq redis relp rfc3195 rfc5424hmac snmp ssl systemd test usertools +uuid xxhash zeromq"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/libee-0.4.0
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
!libressl? ( >=dev-libs/openssl-0.9.8y:0= )
libressl? ( dev-libs/libressl:= )
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-3.0.2
)"
DEPEND="${RDEPEND}
>=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

if [[ ${PV} == "9999" ]]; then
DEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
DEPEND+=" >=sys-devel/flex-2.5.39-r1"
DEPEND+=" >=sys-devel/bison-2.4.3"
DEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi

if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi

git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs

if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}

src_prepare() {
default

# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"

eautoreconf
}

src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.

if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi

local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without depedencies
--enable-imdiag
--enable-imfile
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without depedencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)

econf "${myeconfargs[@]}"
}

src_compile() {
default

if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}

src_test() {
local _has_increased_ulimit=

# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"

if ulimit -n 3072; then
_has_increased_ulimit="true"
fi

if ! emake --jobs 1 check; then
eerror "Test suite failed! :("

if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi

if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi

fi
}

src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)

use doc && local HTML_DOCS=( "${S}/docs/build/." )

default

newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}

keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d

insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf

insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf

insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}

if use mysql; then
insinto /usr/share/doc/${PF}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi

if use postgres; then
insinto /usr/share/doc/${PF}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi

prune_libtool_files --modules
}

pkg_postinst() {
local advertise_readme=0

if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation

advertise_readme=1

if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi

if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi

if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location

echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}

pkg_config() {
if ! use ssl ; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi

# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"

# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF

certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi

# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

rm -f "${T}/${PF}.$$"

echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

+ 0
- 462
app-admin/rsyslog/rsyslog-8.1907.0-r1.ebuild View File

@@ -1,462 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )

inherit autotools eutils linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="~amd64 ~arm ~arm64 hppa x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"
IUSE="curl dbi debug doc elasticsearch +gcrypt gnutls jemalloc kafka kerberos kubernetes libressl mdblookup"
IUSE+=" mongodb mysql normalize clickhouse omhttp omhttpfs omudpspoof openssl postgres"
IUSE+=" rabbitmq redis relp rfc3195 rfc5424hmac snmp ssl systemd test usertools +uuid xxhash zeromq"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
!libressl? ( >=dev-libs/openssl-0.9.8y:0= )
libressl? ( dev-libs/libressl:= )
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-3.0.2
)"
DEPEND="${RDEPEND}
>=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

if [[ ${PV} == "9999" ]]; then
DEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
DEPEND+=" >=sys-devel/flex-2.5.39-r1"
DEPEND+=" >=sys-devel/bison-2.4.3"
DEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi

if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi

git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs

if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}

src_prepare() {
default

# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"

eautoreconf
}

src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.

if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi

local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without depedencies
--enable-imdiag
--enable-imfile
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without depedencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)

econf "${myeconfargs[@]}"
}

src_compile() {
default

if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}

src_test() {
local _has_increased_ulimit=

# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"

if ulimit -n 3072; then
_has_increased_ulimit="true"
fi

if ! emake --jobs 1 check; then
eerror "Test suite failed! :("

if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi

if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi

fi
}

src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)

use doc && local HTML_DOCS=( "${S}/docs/build/." )

default

newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}

keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d

insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf

insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf

insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}

if use mysql; then
insinto /usr/share/doc/${PF}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi

if use postgres; then
insinto /usr/share/doc/${PF}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi

prune_libtool_files --modules
}

pkg_postinst() {
local advertise_readme=0

if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation

advertise_readme=1

if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi

if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi

if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location

echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}

pkg_config() {
if ! use ssl ; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi

# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"

# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF

certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF